curl --request POST \
--url https://api.hubapi.com/crm/v3/pipelines/{objectType} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayOrder": 0,
"label": "My replaced pipeline",
"stages": [
{
"displayOrder": 0,
"label": "In Progress",
"metadata": {
"ticketState": "OPEN"
}
},
{
"displayOrder": 1,
"label": "Done",
"metadata": {
"ticketState": "CLOSED"
}
}
]
}
'{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"displayOrder": 0,
"id": "812723471",
"label": "My ticket pipeline",
"stages": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"displayOrder": 0,
"id": "1234912",
"label": "In Progress",
"metadata": {
"ticketState": "OPEN"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
},
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"displayOrder": 0,
"id": "1234914",
"label": "Done",
"metadata": {
"ticketState": "CLOSED"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"updatedAt": "2019-12-07T16:50:06.678Z"
}指定されたプロパティー値を使用して新しパイプラインを作成します。パイプラインオブジェクト全体(その固有IDを含む)がレスポンスで返されます。
curl --request POST \
--url https://api.hubapi.com/crm/v3/pipelines/{objectType} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayOrder": 0,
"label": "My replaced pipeline",
"stages": [
{
"displayOrder": 0,
"label": "In Progress",
"metadata": {
"ticketState": "OPEN"
}
},
{
"displayOrder": 1,
"label": "Done",
"metadata": {
"ticketState": "CLOSED"
}
}
]
}
'{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"displayOrder": 0,
"id": "812723471",
"label": "My ticket pipeline",
"stages": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"displayOrder": 0,
"id": "1234912",
"label": "In Progress",
"metadata": {
"ticketState": "OPEN"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
},
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"displayOrder": 0,
"id": "1234914",
"label": "Done",
"metadata": {
"ticketState": "CLOSED"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"updatedAt": "2019-12-07T16:50:06.678Z"
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
作成するパイプラインのオブジェクトタイプ(例:取引やチケット)
An input used to create or replace a pipeline's definition.
successful operation
A pipeline definition.
パイプラインがアーカイブされているかどうか。
パイプラインステージが作成された日付。デフォルトのパイプラインのステージではcreatedAt = 0になります。
このパイプラインステージを表示する順序。2つのパイプラインステージの「displayOrder」が同じ場合、ラベルのアルファベット順に並べ替えられます。
HubSpotによって生成される固有ID。パイプラインステージの取得や更新に使用されます。
HubSpotのUIでパイプラインステージを整理するために使用されるラベル。各パイプラインステージのラベルはそのパイプライン内で固有である必要があります。
パイプラインに関連付けられたステージ。これは、パイプライン ステージ エンドポイントで取得して更新できます。
表示 子属性
パイプラインステージが最後に更新された日付。
パイプラインがアーカイブされた日付。「archivedAt」はパイプラインがアーカイブされている場合にのみ存在します。